#
# spec file for package ghc-mintty
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name mintty
Name:           ghc-%{pkg_name}
Version:        0.1.2
Release:        lp151.1.2
Summary:        A reliable way to detect the presence of a MinTTY console on Windows
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
MinTTY is a Windows-specific terminal emulator for the widely used Cygwin and
MSYS projects, which provide Unix-like environments for Windows.
MinTTY consoles behave differently from native Windows consoles (such as
'cmd.exe' or PowerShell) in many ways, and in some cases, these differences
make it necessary to treat MinTTY consoles differently in code.

The 'mintty' library provides a simple way to detect if your code in running in
a MinTTY console on Windows. It exports 'isMinTTY', which does the right thing
90% of the time (by checking if standard error is attached to MinTTY), and it
also exports 'isMinTTYHandle' for the other 10% of the time (when you want to
check is some arbitrary handle is attached to MinTTY). As you might expect,
both of these functions will simply return 'False' on any non-Windows operating
system.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Mon May 14 2018 psimons@suse.com
- Update mintty to version 0.1.2.
  * Only use the `Win32`-provided version of `isMinTTY` if building against
    `Win32-2.5.3` to be certain that one avoids Trac #13431.
  * Don't enable `Safe` on GHC 7.2.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 0.1.1 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.1 with cabal2obs.
